#![allow(dead_code)]

pub type EntityRID = u32;
pub type EntityVersion = u32;
pub type EntityUint = EntityRID;

pub struct Entity {
    entity_rid: EntityRID,
    version: EntityVersion // version starts with 1. the 0 means dead status
}

impl Entity {
    pub fn new(entity_rid: EntityRID, version: EntityVersion) -> Entity {
        Entity {
          entity_rid,
          version: version
        }
    }

    pub fn entity_rid(&self) -> EntityRID {
    self.entity_rid
  }

    pub fn entity_version(&self) -> EntityRID {
    self.version
  }
}

